CREATE TABLE iby_fc_selected_trxns_all (
    TRXNMID                           NUMBER(18, 0) ,
    INITIATOR_EXTENSION_ID            NUMBER(18, 0)     NOT NULL,
    LEGAL_ENTITY_ID                   NUMBER(18, 0) ,
    MBATCHID                          NUMBER(18, 0)     NOT NULL,
    ORG_ID                            NUMBER(18, 0)     NOT NULL,
    PAYER_PARTY_ID                    NUMBER(18, 0) ,
    PAYERINSTRID                      NUMBER(18, 0) ,
    PAYEEINSTRID                      NUMBER(18, 0) ,
    BILL_TO_ADDRESS_ID                NUMBER(18, 0) ,
    CUST_ACCOUNT_ID                   NUMBER(18, 0) ,
    ACCT_SITE_USE_ID                  NUMBER(18, 0) ,
    DEBIT_AUTHORIZATION_ID            NUMBER(18, 0) ,
    INSTRTYPE                         VARCHAR2(120) ,
    TRXNTYPEID                        NUMBER(18, 0) ,
    ECAPPID                           NUMBER(18, 0) ,
    APPLICATION_SHORT_NAME            VARCHAR2(4000),
    PROCESS_PROFILE_CODE              VARCHAR2(120) ,
    TANGIBLEID                        VARCHAR2(320) ,
    LOGICAL_GROUP_REFERENCE           VARCHAR2(120) ,
    MEMO                              VARCHAR2(320) ,
    REFINFO                           VARCHAR2(320) ,
    ORDER_MEDIUM                      VARCHAR2(120) ,
    AMOUNT                            NUMBER        ,
    CURRENCYNAMECODE                  VARCHAR2(60)  ,
    REQTYPE                           VARCHAR2(80)  ,
    UPDATEDATE                        DATE          ,
    SETTLEMENT_DUE_DATE               DATE          ,
    EFT_AUTH_METHOD                   VARCHAR2(120) ,
    DEBIT_ADVICE_DELIVERY_METHOD      VARCHAR2(120) ,
    INSTRSUBTYPE                      VARCHAR2(160) ,
    SETTLEMENT_CUSTOMER_REFERENCE     VARCHAR2(1020),
    FACTORED_FLAG                     VARCHAR2(4)   ,
    BR_MATURITY_DATE                  DATE          ,
    BR_DRAWEE_ISSUED_FLAG             VARCHAR2(4)   ,
    BR_SIGNED_FLAG                    VARCHAR2(4)   ,
    BANK_CHARGE_BEARER_CODE           VARCHAR2(120) ,
    DEBIT_AUTH_REFERENCE              VARCHAR2(400) ,
    DEBIT_AUTH_METHOD                 VARCHAR2(120) ,
    DEBIT_AUTH_FLAG                   VARCHAR2(4)   ,
    DEBIT_ADVICE_EMAIL                VARCHAR2(1020),
    DEBIT_ADVICE_FAX                  VARCHAR2(400) ,
    DIRDEB_INSTRUCTION_CODE           VARCHAR2(120) ,
    SERVICE_LEVEL                     VARCHAR2(140) ,
    PURPOSE_CODE                      VARCHAR2(120) ,
    LOCALINSTR                        VARCHAR2(140) ,
    SEQ_TYPE                          VARCHAR2(120) ,
    PAYMENT_CHANNEL_CODE              VARCHAR2(120) ,
    PAYMENT_CHANNEL_NAME              VARCHAR2(400) ,
    FORMAT_VALUE                      VARCHAR2(320) ,
    PAYMENT_CHANNEL_DFF               VARCHAR2(600) ,
    STRUCTURED_PAYMENT_REFERENCE      VARCHAR2(1024),
    SETTLEDATE                        DATE          ,
    AUTH_SIGN_DATE                    DATE          ,
    AUTH_REF_NUMBER                   VARCHAR2(400) ,
    CREDITOR_PARTY_NAME               VARCHAR2(1440),
    CREDITOR_IDENTIFIER               VARCHAR2(600) ,
    CREDITOR_REGISTRATION_NUMBER      VARCHAR2(120) ,
    DIRECT_DEBIT_MAX_COUNT            NUMBER(18, 0) ,
    DIRECT_DEBIT_COUNT                NUMBER(18, 0) ,
    DEBIT_AUTH_AMEND_CODE             VARCHAR2(40)  ,
    DEBIT_AUTH_AMEND_USES             NUMBER(18, 0) ,
    FIRST_SUCCESS_SETTLE_DATE         DATE          ,
    DEBIT_AUTH_FNL_COLLTN_DATE        DATE          ,
    DEBIT_AUTH_FREQUENCY              VARCHAR2(80)  ,
    AUTHORIZATION_REVISION_NUMBER     NUMBER(18, 0) ,
    CREDITOR_LEGAL_ENTITY_ID          NUMBER(18, 0) ,
    DEBIT_AUTH_BANK_ACCOUNT_ID        NUMBER(18, 0) ,
    CREDITOR_LOCATION_ID              NUMBER(18, 0) ,
    ORIG_AUTH_REF_NUMBER              VARCHAR2(400) ,
    ORIG_PARTY_NAME                   VARCHAR2(1440),
    ORIG_CREDITOR_IDENTIFIER          VARCHAR2(600) ,
    ORIG_LEGAL_ENTITY_ID              NUMBER(18, 0) ,
    ORIG_REGISTRATION_NUMBER          VARCHAR2(120) ,
    ORIG_BANK_ACCOUNT_ID              NUMBER(18, 0) ,
    ORIG_BANK_ACCOUNT_NUM             VARCHAR2(400) ,
    ORIG_IBAN                         VARCHAR2(200) ,
    PAYER_PARTY_NUMBER                VARCHAR2(120) ,
    PAYER_PARTY_NAME                  VARCHAR2(1440),
    PAYER_PARTY_TYPE                  VARCHAR2(120) ,
    PAYER_PARTY_TYPE_MEANING          VARCHAR2(320) ,
    PAYER_TAX_REGN_NUMBER             VARCHAR2(200) ,
    PAYER_JGZZ_FISCAL_CODE            VARCHAR2(80)  ,
    PAYER_ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    PAYER_ALT_PARTY_NAME              VARCHAR2(1440),
    PAYER_ACCOUNT_NUMBER              VARCHAR2(120) ,
    PAYER_ADDRESS1                    VARCHAR2(960) ,
    PAYER_ADDRESS2                    VARCHAR2(960) ,
    PAYER_ADDRESS3                    VARCHAR2(960) ,
    PAYER_CITY                        VARCHAR2(240) ,
    PAYER_COUNTY                      VARCHAR2(240) ,
    PAYER_STATE                       VARCHAR2(240) ,
    PAYER_COUNTRY                     VARCHAR2(8)   ,
    PAYER_TERRITORY_SHORT_NAME        VARCHAR2(320) ,
    PAYER_ISO_TERRITORY_CODE          VARCHAR2(12)  ,
    PAYER_POSTAL_CODE                 VARCHAR2(240) ,
    PAYER_BANK_NAME                   VARCHAR2(1440),
    PAYER_BANK_NUMBER                 VARCHAR2(120) ,
    PAYER_BRANCH_ID                   NUMBER(18, 0) ,
    PAYER_BRANCH_NAME                 VARCHAR2(1440),
    PAYER_BRANCH_NUMBER               VARCHAR2(120) ,
    PAYER_BRANCH_TYPE                 VARCHAR2(120) ,
    PAYER_BRANCH_TYPE_MEANING         VARCHAR2(320) ,
    PAYER_BANK_ACCOUNT_NAME           VARCHAR2(320) ,
    PAYER_BANK_ACCOUNT_NAME_ALT       VARCHAR2(1280),
    PAYER_BANK_ACCT_NUM               VARCHAR2(400) ,
    PAYER_USER_BANK_ACCT_NUM          VARCHAR2(400) ,
    PAYER_MASKED_BANK_ACCOUNT_NUM     VARCHAR2(400) ,
    PAYER_BRANCH_SWIFT_CODE           VARCHAR2(120) ,
    PAYER_IBAN                        VARCHAR2(200) ,
    PAYER_MASKED_IBAN                 VARCHAR2(200) ,
    PAYER_ACCT_CHECK_DIGITS           VARCHAR2(120) ,
    PAYER_BANK_ACCOUNT_TYPE           VARCHAR2(100) ,
    PAYER_BANK_ACCT_TYPE_MEANING      VARCHAR2(320) ,
    PAYER_BANK_ACCOUNT_SUFFIX         VARCHAR2(120) ,
    PAYER_BANK_ACCT_CURRENCY_CODE     VARCHAR2(60)  ,
    PAYER_BANK_ACCOUNT_HOLDER_NAME    VARCHAR2(1440),
    PAYER_BANK_ACCT_DFF               VARCHAR2(600) ,
    PAYER_BANK_ACCT_LOCATION_ID       NUMBER(18, 0) ,
    PAYER_BANK_ACCT_ADDR_NAME         VARCHAR2(960) ,
    PAYER_BANK_ACCT_ADDRESS1          VARCHAR2(960) ,
    PAYER_BANK_ACCT_ADDRESS2          VARCHAR2(960) ,
    PAYER_BANK_ACCT_ADDRESS3          VARCHAR2(960) ,
    PAYER_BANK_ACCT_CITY              VARCHAR2(240) ,
    PAYER_BANK_ACCT_COUNTY            VARCHAR2(240) ,
    PAYER_BANK_ACCT_STATE             VARCHAR2(240) ,
    PAYER_BANK_ACCT_COUNTRY           VARCHAR2(8)   ,
    PAYER_BANK_ACCT_TERR_NAME         VARCHAR2(320) ,
    PAYER_BANK_ACCT_ISO_TERR_CODE     VARCHAR2(12)  ,
    PAYER_BANK_ACCT_POSTAL_CODE       VARCHAR2(240) ,
    PAYER_BANK_ACCT_CONCAT_ADDR       VARCHAR2(4000),
    PAYER_BANK_ACCT_MAIL_ADDR         VARCHAR2(4000),
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    RESERVED_ATTRIBUTE1               VARCHAR2(4000),
    RESERVED_ATTRIBUTE2               VARCHAR2(1440),
    RESERVED_ATTRIBUTE3               VARCHAR2(1440),
    RESERVED_ATTRIBUTE4               VARCHAR2(1440),
    RESERVED_ATTRIBUTE5               VARCHAR2(1440),
    RESERVED_ATTRIBUTE6               NUMBER        ,
    RESERVED_ATTRIBUTE7               NUMBER        ,
    RESERVED_ATTRIBUTE8               NUMBER        ,
    RESERVED_ATTRIBUTE9               DATE          ,
    RESERVED_ATTRIBUTE10              DATE          ,
    TRXNMID                           NUMBER(18, 0) ,
    INITIATOR_EXTENSION_ID            NUMBER(18, 0)     NOT NULL,
    LEGAL_ENTITY_ID                   NUMBER(18, 0) ,
    MBATCHID                          NUMBER(18, 0)     NOT NULL,
    ORG_ID                            NUMBER(18, 0)     NOT NULL,
    PAYER_PARTY_ID                    NUMBER(18, 0) ,
    PAYERINSTRID                      NUMBER(18, 0) ,
    PAYEEINSTRID                      NUMBER(18, 0) ,
    BILL_TO_ADDRESS_ID                NUMBER(18, 0) ,
    CUST_ACCOUNT_ID                   NUMBER(18, 0) ,
    ACCT_SITE_USE_ID                  NUMBER(18, 0) ,
    DEBIT_AUTHORIZATION_ID            NUMBER(18, 0) ,
    INSTRTYPE                         VARCHAR2(120) ,
    TRXNTYPEID                        NUMBER(18, 0) ,
    ECAPPID                           NUMBER(18, 0) ,
    APPLICATION_SHORT_NAME            VARCHAR2(4000),
    PROCESS_PROFILE_CODE              VARCHAR2(120) ,
    TANGIBLEID                        VARCHAR2(320) ,
    LOGICAL_GROUP_REFERENCE           VARCHAR2(120) ,
    MEMO                              VARCHAR2(320) ,
    REFINFO                           VARCHAR2(320) ,
    ORDER_MEDIUM                      VARCHAR2(120) ,
    AMOUNT                            NUMBER        ,
    CURRENCYNAMECODE                  VARCHAR2(60)  ,
    REQTYPE                           VARCHAR2(80)  ,
    UPDATEDATE                        DATE          ,
    SETTLEMENT_DUE_DATE               DATE          ,
    EFT_AUTH_METHOD                   VARCHAR2(120) ,
    DEBIT_ADVICE_DELIVERY_METHOD      VARCHAR2(120) ,
    INSTRSUBTYPE                      VARCHAR2(160) ,
    SETTLEMENT_CUSTOMER_REFERENCE     VARCHAR2(1020),
    FACTORED_FLAG                     VARCHAR2(4)   ,
    BR_MATURITY_DATE                  DATE          ,
    BR_DRAWEE_ISSUED_FLAG             VARCHAR2(4)   ,
    BR_SIGNED_FLAG                    VARCHAR2(4)   ,
    BANK_CHARGE_BEARER_CODE           VARCHAR2(120) ,
    DEBIT_AUTH_REFERENCE              VARCHAR2(400) ,
    DEBIT_AUTH_METHOD                 VARCHAR2(120) ,
    DEBIT_AUTH_FLAG                   VARCHAR2(4)   ,
    DEBIT_ADVICE_EMAIL                VARCHAR2(1020),
    DEBIT_ADVICE_FAX                  VARCHAR2(400) ,
    DIRDEB_INSTRUCTION_CODE           VARCHAR2(120) ,
    SERVICE_LEVEL                     VARCHAR2(140) ,
    PURPOSE_CODE                      VARCHAR2(120) ,
    LOCALINSTR                        VARCHAR2(140) ,
    SEQ_TYPE                          VARCHAR2(120) ,
    PAYMENT_CHANNEL_CODE              VARCHAR2(120) ,
    PAYMENT_CHANNEL_NAME              VARCHAR2(400) ,
    FORMAT_VALUE                      VARCHAR2(320) ,
    PAYMENT_CHANNEL_DFF               VARCHAR2(600) ,
    STRUCTURED_PAYMENT_REFERENCE      VARCHAR2(1024),
    SETTLEDATE                        DATE          ,
    AUTH_SIGN_DATE                    DATE          ,
    AUTH_REF_NUMBER                   VARCHAR2(400) ,
    CREDITOR_PARTY_NAME               VARCHAR2(1440),
    CREDITOR_IDENTIFIER               VARCHAR2(600) ,
    CREDITOR_REGISTRATION_NUMBER      VARCHAR2(120) ,
    DIRECT_DEBIT_MAX_COUNT            NUMBER(18, 0) ,
    DIRECT_DEBIT_COUNT                NUMBER(18, 0) ,
    DEBIT_AUTH_AMEND_CODE             VARCHAR2(40)  ,
    DEBIT_AUTH_AMEND_USES             NUMBER(18, 0) ,
    FIRST_SUCCESS_SETTLE_DATE         DATE          ,
    DEBIT_AUTH_FNL_COLLTN_DATE        DATE          ,
    DEBIT_AUTH_FREQUENCY              VARCHAR2(80)  ,
    AUTHORIZATION_REVISION_NUMBER     NUMBER(18, 0) ,
    CREDITOR_LEGAL_ENTITY_ID          NUMBER(18, 0) ,
    DEBIT_AUTH_BANK_ACCOUNT_ID        NUMBER(18, 0) ,
    CREDITOR_LOCATION_ID              NUMBER(18, 0) ,
    ORIG_AUTH_REF_NUMBER              VARCHAR2(400) ,
    ORIG_PARTY_NAME                   VARCHAR2(1440),
    ORIG_CREDITOR_IDENTIFIER          VARCHAR2(600) ,
    ORIG_LEGAL_ENTITY_ID              NUMBER(18, 0) ,
    ORIG_REGISTRATION_NUMBER          VARCHAR2(120) ,
    ORIG_BANK_ACCOUNT_ID              NUMBER(18, 0) ,
    ORIG_BANK_ACCOUNT_NUM             VARCHAR2(400) ,
    ORIG_IBAN                         VARCHAR2(200) ,
    PAYER_PARTY_NUMBER                VARCHAR2(120) ,
    PAYER_PARTY_NAME                  VARCHAR2(1440),
    PAYER_PARTY_TYPE                  VARCHAR2(120) ,
    PAYER_PARTY_TYPE_MEANING          VARCHAR2(320) ,
    PAYER_TAX_REGN_NUMBER             VARCHAR2(200) ,
    PAYER_JGZZ_FISCAL_CODE            VARCHAR2(80)  ,
    PAYER_ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    PAYER_ALT_PARTY_NAME              VARCHAR2(1440),
    PAYER_ACCOUNT_NUMBER              VARCHAR2(120) ,
    PAYER_ADDRESS1                    VARCHAR2(960) ,
    PAYER_ADDRESS2                    VARCHAR2(960) ,
    PAYER_ADDRESS3                    VARCHAR2(960) ,
    PAYER_CITY                        VARCHAR2(240) ,
    PAYER_COUNTY                      VARCHAR2(240) ,
    PAYER_STATE                       VARCHAR2(240) ,
    PAYER_COUNTRY                     VARCHAR2(8)   ,
    PAYER_TERRITORY_SHORT_NAME        VARCHAR2(320) ,
    PAYER_ISO_TERRITORY_CODE          VARCHAR2(12)  ,
    PAYER_POSTAL_CODE                 VARCHAR2(240) ,
    PAYER_BANK_NAME                   VARCHAR2(1440),
    PAYER_BANK_NUMBER                 VARCHAR2(120) ,
    PAYER_BRANCH_ID                   NUMBER(18, 0) ,
    PAYER_BRANCH_NAME                 VARCHAR2(1440),
    PAYER_BRANCH_NUMBER               VARCHAR2(120) ,
    PAYER_BRANCH_TYPE                 VARCHAR2(120) ,
    PAYER_BRANCH_TYPE_MEANING         VARCHAR2(320) ,
    PAYER_BANK_ACCOUNT_NAME           VARCHAR2(320) ,
    PAYER_BANK_ACCOUNT_NAME_ALT       VARCHAR2(1280),
    PAYER_BANK_ACCT_NUM               VARCHAR2(400) ,
    PAYER_USER_BANK_ACCT_NUM          VARCHAR2(400) ,
    PAYER_MASKED_BANK_ACCOUNT_NUM     VARCHAR2(400) ,
    PAYER_BRANCH_SWIFT_CODE           VARCHAR2(120) ,
    PAYER_IBAN                        VARCHAR2(200) ,
    PAYER_MASKED_IBAN                 VARCHAR2(200) ,
    PAYER_ACCT_CHECK_DIGITS           VARCHAR2(120) ,
    PAYER_BANK_ACCOUNT_TYPE           VARCHAR2(100) ,
    PAYER_BANK_ACCT_TYPE_MEANING      VARCHAR2(320) ,
    PAYER_BANK_ACCOUNT_SUFFIX         VARCHAR2(120) ,
    PAYER_BANK_ACCT_CURRENCY_CODE     VARCHAR2(60)  ,
    PAYER_BANK_ACCOUNT_HOLDER_NAME    VARCHAR2(1440),
    PAYER_BANK_ACCT_DFF               VARCHAR2(600) ,
    PAYER_BANK_ACCT_LOCATION_ID       NUMBER(18, 0) ,
    PAYER_BANK_ACCT_ADDR_NAME         VARCHAR2(960) ,
    PAYER_BANK_ACCT_ADDRESS1          VARCHAR2(960) ,
    PAYER_BANK_ACCT_ADDRESS2          VARCHAR2(960) ,
    PAYER_BANK_ACCT_ADDRESS3          VARCHAR2(960) ,
    PAYER_BANK_ACCT_CITY              VARCHAR2(240) ,
    PAYER_BANK_ACCT_COUNTY            VARCHAR2(240) ,
    PAYER_BANK_ACCT_STATE             VARCHAR2(240) ,
    PAYER_BANK_ACCT_COUNTRY           VARCHAR2(8)   ,
    PAYER_BANK_ACCT_TERR_NAME         VARCHAR2(320) ,
    PAYER_BANK_ACCT_ISO_TERR_CODE     VARCHAR2(12)  ,
    PAYER_BANK_ACCT_POSTAL_CODE       VARCHAR2(240) ,
    PAYER_BANK_ACCT_CONCAT_ADDR       VARCHAR2(4000),
    PAYER_BANK_ACCT_MAIL_ADDR         VARCHAR2(4000),
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    RESERVED_ATTRIBUTE1               VARCHAR2(4000),
    RESERVED_ATTRIBUTE2               VARCHAR2(1440),
    RESERVED_ATTRIBUTE3               VARCHAR2(1440),
    RESERVED_ATTRIBUTE4               VARCHAR2(1440),
    RESERVED_ATTRIBUTE5               VARCHAR2(1440),
    RESERVED_ATTRIBUTE6               NUMBER        ,
    RESERVED_ATTRIBUTE7               NUMBER        ,
    RESERVED_ATTRIBUTE8               NUMBER        ,
    RESERVED_ATTRIBUTE9               DATE          ,
    RESERVED_ATTRIBUTE10              DATE          
);
